Thursday, May 06, 2010

より安定したMacRuby 0.6

macnews.de: MacRuby 0.6: Stabil genug für die Cocoa-Entwicklung
von Thomas J. Weiss

MacRuby Version 0.6がリリースされた.
Snow Leopardにビルドされている.
開発者によると,
「このMacRubyは安定を重視した.
開発は完了しており,cocoaアプリケーションとして機能する.
全てのCocoa APIにアクセスできる」

MacRuby steht nun in Version 0.6 zur Verfügung, der fertige Build allerdings läuft nur unter Snow Leopard. Die Entwickler geben sich zuversichtlich: “Wir glauben, dass MacRuby nun stabil genug ist, um die Entwicklung kompletter und funktionaler Cocoa-Applikationen zu erlauben, die auf die ganze Vielfalt von Cocoa-APIs zugreifen.”

Ruby 1.9に対応しており,全ての開発者にとって良くなっている.
オブジェクト指向プログラミング,カーネルとのリンカも可能だ.

Die Ruby 1.9-kompatible Implementierung richtet sich an alle Entwickler, die sich für die objektorientierte Programmiersprache interessieren und zugleich eine enge Anbindung an die Kerntechnologien von Mac OS X suchen.

変更点は開発者によって公開されている.
2009年にはO'ReillyがMacRubyハンドブックを出している.
初心者と上級者向けで,オンライン版も用意されている.

Eine Liste der Änderungen findet sich bei den Entwicklern. Seit dem Jahr 2009 ist bei O’Reilly zudem ein MacRuby-Handbuch für Einsteiger und Fortgeschrittene in Arbeit, dessen aktueller Stand sich online bereits einsehen lässt.

No comments: